package lu.tudor.santec.gecamed.formeditor.gui.model;

import lu.tudor.santec.gecamed.patient.gui.history.HistoryDataAgent;
import lu.tudor.santec.gecamed.patient.gui.history.table.HistoryTableModel;

public class FormHistoryTableModel extends HistoryTableModel
{
	private static final long	serialVersionUID	= 1L;
	
	public FormHistoryTableModel(HistoryDataAgent agent)
	{
		super(agent);
	}
	
	
	@Override
	public int getColumnCount()
	{
		return super.getColumnCount()+1;
	}
	
	
	@Override
	public Class<?> getColumnClass(int columnIndex)
	{
		if (columnIndex == super.getColumnCount())
			 return String.class;
		else return super.getColumnClass(columnIndex);
	}
	
	
	@Override
	public String getColumnName(int column)
	{
		if (column == super.getColumnCount())
			 return "CODE";
		else return super.getColumnName(column);
	}
}
